(* Ngraph, draw a graph for PC-9801    *)
(* Copyright (c) S.Ishizaka. 1990-1991 *)

(* MS-DOS VXeR| *)

unit DOSCALL;

interface

uses Windows,SysUtils;

(*Type KeySaveBuf = Array [0..385] of Char;*)

Type PathStr = String;
     DirStr = String;
     ExtStr = String[4];
     NameStr = String[8];

function FExpand(Path:PathStr):PathStr;
procedure FSplit(Path:PathStr;var Dir:DirStr;var Name:NameStr;var Ext:ExtStr);
function GetEnv(S:String):String;

implementation

{lr|cnrVXeR[}


procedure FSplit(Path:PathStr;var Dir:DirStr;var Name:NameStr;var Ext:ExtStr);
var Name2,ActivDir:String;
begin
  if Pos('\',Path)=0 then begin
    Getdir(0,ActivDir);
    if ActivDir[Length(ActivDir)]<>'\' then ActivDir:=ActivDir+'\';
    Path:=ActivDir+Path;
  end;
  Dir:=ExtractFileDir(Path);
  if (Length(Dir)=0) or (Dir[Length(Dir)]<>'\') then Dir:=Dir+'\';
  Name2:=ExtractFileName(Path);
  Ext:=ExtractFileExt(Path);
  if Ext<>'' then Name:=Copy(Name2,1,Length(Name2)-Length(Ext))
  else Name:=Name2;
end;

function FExpand(Path:PathStr):PathStr;
var S,S2:String;
   Len:Integer;
begin
  S:=ExpandFileName(Path);
  FExpand:=S;
end;

function GetEnv(S:String):String;
var env:Pointer;
    S2:String;
    Len:Integer;
begin
  env:=GetEnvironmentStrings;
  S[Length(S)+1]:=Char(0);
  Len:=GetEnvironmentVariable(@S[1],@S2[1],SizeOf(String)-1);
  S2[0]:=Char(Len);
  GetEnv:=S2;
end;


end.