(* Ngraph, draw a graph for PC-9801    *)
(* Copyright (c) S.Ishizaka. 1990-1991 *)

(* ֘A葱 *)

unit Jctype;

interface

function JmsToJis(code:word):word;
function IsKanji(code:word):Boolean;
function IsKanji2(var S:String;Pos:Integer):Boolean;
function IsGreek(Str:String;Pos:Integer;var Code:Word):Boolean;

implementation

function JmsToJis(code:word):word;
var dh,dl:word;
begin
  dh:=Hi(code);
  dl:=Lo(code);
  if dh<=$9f then Dec(dh,$70)
             else Dec(dh,$b0);
  dh:=dh+dh;
  if dl>=$9f then Dec(dl,$7e)
  else begin
    Dec(dh);
    if dl>=$80 then Dec(dl,$20)
               else Dec(dl,$1f);
  end;
  JmsToJis:=(dh shl 8)+dl;
end;

function IsKanji(code:word):Boolean;
begin
    if code in [$81..$9F,$E0..$FF] then iskanji:=True
				   else iskanji:=False;
end;

function IsKanji2(var S:String;Pos:Integer):Boolean;
var k:Integer;
begin
  if Pos>Length(S) then IsKanji2:=False
  else begin
      k:=Pos;
      repeat
        Dec(k);
      until not IsKanji(Word(S[k])) or (k<=0);
      if Odd(Pos-k) then IsKanji2:=False
		    else IsKanji2:=True;
  end;
end;

function IsGreek(Str:String;Pos:Integer;var Code:Word):Boolean;
begin
   if IsKanji(Ord(Str[Pos])) then begin
       Code:=JmsToJis(Word(Ord(Str[Pos]) shl 8+Ord(Str[Pos+1])));
       if (Code>=$2620) and (Code<=$265F) then IsGreek:=True
                                          else IsGreek:=False;
   end else IsGreek:=False;
end;

end.
