(* Ngraph, draw a graph for PC-9801    *)
(* Copyright (c) S.Ishizaka. 1990-1991 *)

(* I葱 *)

unit Quit;

interface

uses Windows,CRT,PullMenu,GRA2Crt,Display,Variable,ChildExe,Data,Memory;

Type Real=Double;

procedure DGPullQuit;
procedure DGQuitBody(Mes:String);
procedure DGQuitNull(Mes:String);
procedure MyExitProc;
procedure QuitNull;

Var ExitSave:Pointer;

implementation

procedure MyExitProc;
begin
  ExitProc:=ExitSave;
  DGSYS.Quit;
end;

procedure DGPullQuit;
var i:Integer;
    PullColorSave:PullMenuColor;
    PullModeSave:SelectModeType;
    VAFCode:Word;
begin
     PullQuit:=PullQuitNull;
     PullColorSave:=PullColor;
     PullModeSave:=PullMode;
     SelectMode(True,True,True,True);
     if (InputYN(PullX,PullY,'Really Quit? (Y/N)') in ['Y','y']) then begin
//         for i:=0 to 2 do if VAF.epilog[i]<>'' then VAFCode:=VAFExec(VAF.epilog[i]);
         CloseData;
         DGQuit('');
     end;
     PullColor:=PullColorSave;
     PullMode:=PullModeSave;
     PullQuit:=DGPullQuit;
end;

procedure DGQuitBody(Mes:String);
var WinMes:array[0..255] of Char;
    i:Integer;
begin
  CloseGra2Crt;
  if (Mes<>'') then begin
    for i:=1 to Integer(Mes[0]) do WinMes[i-1]:=Mes[i];
    WinMes[Integer(Mes[0])]:=Char(0);
    MessageBox(NULL,WinMes,'Confirm',MB_OK);
  end;
  if (MainWin.Wnd<>0) then DestroyWindow(MainWin.Wnd);
  Halt(0);
end;

procedure DGQuitNull(Mes:String);
var WinMes:array[0..255] of Char;
    i:Integer;
begin
  if (Mes<>'') then begin
    for i:=1 to Integer(Mes[0]) do WinMes[i-1]:=Mes[i];
    WinMes[Integer(Mes[0])]:=Char(0);
    MessageBox(NULL,WinMes,'Confirm',MB_OK);
  end;
  if (MainWin.Wnd<>0) then DestroyWindow(MainWin.Wnd);
  Halt(0);
end;

procedure QuitNull;
begin
end;

end.
