(* Ngraph, draw a graph for PC-9801    *)
(* Copyright (c) S.Ishizaka. 1990-1991 *)

(*NCbN\[g葱 *)

unit  Sort;

interface

Type FcmpFuncType = function (elem1,elm2:Pointer) : integer;

procedure Qsort(P:Pointer;Size,Width:Integer;Fcmp:FcmpFuncType);


implementation

procedure Qsort(P:Pointer;Size,Width:Integer;Fcmp:FcmpFuncType);

var Stack: array [0..255] of Byte;
    Stack2:array [0..255] of Byte;

	  procedure sort(l,r: Integer);
	  var
	    i,j: Integer;
	    k:Integer;
	  begin
	    i:=l; j:=r;
	    Move((PChar(P)+((l+r) DIV 2)*Width)^,Stack2,Width);
	    repeat
	      while Fcmp(PChar(P)+i*Width,@Stack2)<0 do Inc(i);
	      while Fcmp(@Stack2,PChar(P)+j*Width)<0 do Dec(j);
	      if i<=j then begin
		Move( (PChar(P)+i*Width)^ ,Stack[0],Width);
		Move( (PChar(P)+j*Width)^ ,(PChar(P)+i*Width)^ ,Width);
		Move( Stack[0],(PChar(P)+j*Width)^ ,Width);
		Inc(i);
		Dec(j);
	      end;
	    until i>j;
	    if l<j then sort(l,j);
	    if i<r then sort(i,r);
	  end;

begin
  if Size>1 then sort(0,Size-1);
end;

end.
