(* Ngraph, draw a graph for PC-9801    *)
(* Copyright (c) S.Ishizaka. 1990-1991 *)

(* -->ϊ葱 *)

unit Time;

interface

function cDate( Year,Month,Day,Week:Word):String;
function cDate2( Year,Month,Day:Word):String;
function cDate3( Year,Month,Day:Word):String;
function cTime( Hour,Min:Word ):String;
function cTime2( Hour,Min:Word ):String;

implementation

const WeekStr:array [0..6] of String[3]=( 'Sun','Mon','Tue','Wed','Thu','Fri','Sat' );
      MonthStr:array [1..12] of String[3]=('Jan','Feb','Mar','Apr','May','Jun',
					   'Jul','Aug','Sep','Oct','Nov','Dec' );

function cDate( Year,Month,Day,Week:Word):String;
var Sy:String[4];
    Sd:String[2];
begin
   Str(Year,Sy);
   Str(Day ,Sd);
   CDate:=WeekStr[Week]+' '+MonthStr[Month]+' '+Sd+' '+Sy;
end;

function cDate2( Year,Month,Day:Word):String;
var Sy:String[4];
    Sm,Sd:String[2];
begin
   Str(Year,Sy);
   Str(Month,Sm);
   Str(Day ,Sd);
   if Length(Sd)=1 then Sd:='0'+Sd;
   CDate2:=Sm+'-'+Sd+'-'+Sy;
end;

function cDate3( Year,Month,Day:Word):String;
var Sy:String[4];
    Sd:String[2];
begin
   Str(Year,Sy);
   Str(Day ,Sd);
   CDate3:=MonthStr[Month]+' '+Sd+' '+Sy;
end;

function cTime( Hour,Min:Word ):String;
var Th,Tm:String[2];
    noon:String[2];
begin
   if Hour<12 then noon:='am'
	      else noon:='pm';
   if Hour=0 then Hour:=12
   else if (Hour>12) then Dec(Hour,12);
   Str(Hour,Th);
   Str(Min,Tm);
   if Length(Th)=1 then Th:='0'+Th;
   if Length(Tm)=1 then Tm:='0'+Tm;
   cTime:=Th+':'+Tm+' '+noon;
end;

function cTime2( Hour,Min:Word ):String;
var Th,Tm:String[2];
begin
   Str(Hour,Th);
   Str(Min,Tm);
   if Length(Th)=1 then Th:='0'+Th;
   if Length(Tm)=1 then Tm:='0'+Tm;
   cTime2:=Th+':'+Tm;
end;

end.
